net.i2p.desktopgui

## Class ExternalTrayManager

- java.lang.Object
- - net.i2p.desktopgui.TrayManager
  - - net.i2p.desktopgui.ExternalTrayManager

-     class ExternalTrayManager
      extends TrayManager

  Tray manager for external use without router context access. Provides minimal I2P management when started before the router. Limited to starting I2P and basic notification controls. Not fully supported - use InternalTrayManager when possible.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.desktopgui.TrayManager

      `_appContext, _jnotificationItem1, _jnotificationItem2, _notificationItem1, _notificationItem2, _showNotifications, _useSwing, PROP_NOTIFICATIONS, tray, trayIcon`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalTrayManager(I2PAppContext ctx, boolean useSwing)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PopupMenu` | `getMainMenu()` Build a popup menu, adding callbacks to the different items.
    `JPopupMenu` | `getSwingMainMenu()` Build a popup menu, adding callbacks to the different items.
    `protected void` | `updateMenu()` Update the menu

    - ### Methods inherited from class net.i2p.desktopgui.TrayManager

      `_t, _t, configureNotifications, displayMessage, initializeJNotificationItems, initializeNotificationItems, languageChanged, startManager, stopManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalTrayManager

          public ExternalTrayManager(I2PAppContext ctx,
                                     boolean useSwing)

  - ### Method Detail

    - #### getMainMenu

          public PopupMenu getMainMenu()

      Description copied from class: `TrayManager`
      Build a popup menu, adding callbacks to the different items.
      Specified by:
        `getMainMenu` in class `TrayManager`
      Returns:
        popup menu

    - #### getSwingMainMenu

          public JPopupMenu getSwingMainMenu()

      Description copied from class: `TrayManager`
      Build a popup menu, adding callbacks to the different items.
      Specified by:
        `getSwingMainMenu` in class `TrayManager`
      Returns:
        popup menu

    - #### updateMenu

          protected void updateMenu()

      Update the menu
      Specified by:
        `updateMenu` in class `TrayManager`